Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5431 - lsof RPM can't be rebuilt with 2.2.12 kernel
Summary: lsof RPM can't be rebuilt with 2.2.12 kernel
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lsof
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL: ftp://vic.cc.purdue.edu/pub/tools/uni...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-29 09:50 UTC by Alec Voropay
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-01 19:03:40 UTC


Attachments (Terms of Use)

Description Alec Voropay 1999-09-29 09:50:43 UTC
Hi!

 I just have installed new kernel 2.2.12 from
ftp://linux.kernel.org on my RedHat 5.2 (Appollo) system.
New utilities for 2.2 kernel from RedHat was also
installed...
All working OK.

 But lsof utility stos to work. And more : I can't rebuild
lsof-4.40-1.src.rpm om my system now !

$ rpm -i lsof-4.40-1.src.rpm
$ cd /usr/src/redhat/SPECS
$ rpm -ba lsof.spec
....
....
/usr/include/socketbits.h:198: `__cmsg_nxthdr' previously
defined here
In file included from ../dlsof.h:343,
                 from ../lsof.h:70,
                 from ckkv.c:43:
/usr/include/netinet/in.h:42: conflicting types for
`IPPROTO_IPV6'
/usr/src/linux/include/linux/in.h:37: previous declaration
of `IPPROTO_IPV6'
/usr/include/netinet/in.h:43: parse error before `58'
make[1]: *** [ckkv.o] Error 1
make[1]: Leaving directory
`/usr/src/redhat/BUILD/lsof_4.40/lsof_4.40/lib'
make: *** [lib/liblsof.a] Error 2
Bad exit status from /var/tmp/rpm-tmp.71569 (%build)
$

 So, I have downloaded lsof_4.45 from $URL and build it.
All OK. But seems, should be better to have RPM from RedHat.

 Could you issue new lsof 4.45 RPM version for 2.2 kernel
(for RedHat 5.2) ?


with best regards
--
-=AV=-

Comment 1 Jeff Johnson 1999-10-01 19:03:59 UTC
Try the lsof-4.45-1.src.rpm from Raw Hide.

Comment 2 Alec Voropay 1999-11-23 19:42:59 UTC
October 23, 1999 new version of lsof was released :
ftp://vic.cc.purdue.edu/pub/tools/unix/lsof/lsof_4.46_W.tar.gz


Note You need to log in before you can comment on or make changes to this bug.